<template>
  <CButton
    :color="color"
    :variant="variant"
    class="m-2"
    @click="doControl()"
  >
    {{ controlLabel }}
  </CButton>
</template>

<script>
const EVENT_CONTROL = 'set-control'

export default {
  props: {
    id: {
      type: Number,
      default: null
    },

    variant: {
      type: String,
      default: null
    },

    color: {
      type: String,
      default: null
    },

    controlLabel: {
      type: String,
      default: null
    }
  },

  methods: {
    doControl () {
      this.$emit(EVENT_CONTROL, this.id)
    }
  }
}
</script>
